Type to search.

Export workflows

Base URL
https://{kibana_url}
  • POST /api/workflows/export
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Export one or more workflows as JSON with YAML content and metadata.

Required privileges

Privileges workflowsManagement:read or workflowsManagement:managed:read

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

ids string[] · min items: 1 · max items: 500 required

Array of workflow IDs to export.

Response

200

JSON containing exported workflow YAML entries and manifest metadata

application/json